Rivet: Generic 4-momentum filtering, efficiency and smearing utils

| Rivet 3.1.9

Classes | Functions
Generic 4-momentum filtering, efficiency and smearing utils
Detector smearing & efficiency functions

## Classes
struct | Rivet::P4_EFF_CONST
| Take a FourMomentum and return a constant number. More...
struct | Rivet::P3_EFF_CONST
| Take a Vector3 and return a constant number. More...

## Functions
double | Rivet::P3_EFF_ZERO (const Vector3 &p)
| Take a Vector3 and return 0.
double | Rivet::P3_FN0 (const Vector3 &p)
double | Rivet::P3_EFF_ONE (const Vector3 &p)
| Take a Vector3 and return 1.
double | Rivet::P3_FN1 (const Vector3 &p)
Vector3 | Rivet::P3_SMEAR_IDENTITY (const Vector3 &p)
| Take a Vector3 and return it unmodified.
Vector3 | Rivet::P3_SMEAR_PERFECT (const Vector3 &p)
| Alias for P3_SMEAR_IDENTITY.
Vector3 | Rivet::P3_SMEAR_LEN_GAUSS (const Vector3 &p, double resolution)
| Smear a Vector3's length using a Gaussian of absolute width resolution.
typedef std::function< FourMomentum(const FourMomentum &)> | Rivet::P4SmearFn
| Typedef for FourMomentum smearing functions/functors.
typedef std::function< double(const FourMomentum &)> | Rivet::P4EffFn
| Typedef for FourMomentum efficiency functions/functors.
double | Rivet::P4_EFF_ZERO (const FourMomentum &)
| Take a FourMomentum and return 0.
double | Rivet::P4_FN0 (const FourMomentum &)
double | Rivet::P4_EFF_ONE (const FourMomentum &)
| Take a FourMomentum and return 1.
double | Rivet::P4_FN1 (const FourMomentum &)
FourMomentum | Rivet::P4_SMEAR_IDENTITY (const FourMomentum &p)
| Take a FourMomentum and return it unmodified.
FourMomentum | Rivet::P4_SMEAR_PERFECT (const FourMomentum &p)
| Alias for P4_SMEAR_IDENTITY.
FourMomentum | Rivet::P4_SMEAR_E_GAUSS (const FourMomentum &p, double resolution)
FourMomentum | Rivet::P4_SMEAR_PT_GAUSS (const FourMomentum &p, double resolution)
| Smear a FourMomentum's transverse momentum using a Gaussian of absolute width resolution.
FourMomentum | Rivet::P4_SMEAR_MASS_GAUSS (const FourMomentum &p, double resolution)
| Smear a FourMomentum's mass using a Gaussian of absolute width resolution.

## Detailed Description

## Function Documentation

## ◆ P3_FN0()

double Rivet::P3_FN0 | ( | const Vector3 & | p | ) |
| inline

Deprecated:
  Alias for P3_EFF_ZERO

## ◆ P3_FN1()

double Rivet::P3_FN1 | ( | const Vector3 & | p | ) |
| inline

Deprecated:
  Alias for P3_EFF_ONE

## ◆ P4_FN0()

double Rivet::P4_FN0 | ( | const FourMomentum & |  | ) |
| inline

Deprecated:
  Alias for P4_EFF_ZERO

## ◆ P4_FN1()

double Rivet::P4_FN1 | ( | const FourMomentum & |  | ) |
| inline

Deprecated:
  Alias for P4_EFF_ONE

## ◆ P4_SMEAR_E_GAUSS()

FourMomentum Rivet::P4_SMEAR_E_GAUSS | ( | const FourMomentum & | p,
|  | double | resolution
| ) |  |
| inline

Smear a FourMomentum's energy using a Gaussian of absolute width resolution

Todo:
  Also make jet versions that update/smear constituents?

References Rivet::Kin::mass(), Rivet::max(), Rivet::FourMomentum::mkEtaPhiME(), Rivet::Kin::p(), and Rivet::randnorm().

Referenced by Rivet::ELECTRON_SMEAR_ATLAS_RUN1(), and Rivet::ELECTRON_SMEAR_CMS_RUN1().